# Engram Lint Rules — controls auto-fix behavior and scan scope
# Agents update the suppress list based on user feedback.

scan:
  max_entities: 100
  min_importance_score: 0.1

model:
  name: "google/gemma-4-26b-a4b-it"
  provider: "openrouter"

auto_fix:
  archive_orphans:
    enabled: true
    min_age_days: 30
  create_concept_pages:
    enabled: true
    mention_threshold: 5
  mark_stale:
    enabled: true
    when_superseded_by_newer: true

report_only:
  contradictions: true
  knowledge_gaps: true

suppress: []
